{"openapi":"3.0.0","x-nhs-api-spec-guid":"bb24463f-9f34-4c78-9f49-088cb3b9d7b4","info":{"version":"v1.0.230-alpha","title":"COVID-19 Test History API","license":{"name":"MIT"},"contact":{"name":"NHS Digital API Management","url":"https://digital.nhs.uk/developer/help-and-support","email":"api.management@nhs.net"},"description":"## Overview\nUse this API to access a patient’s coronavirus (COVID-19) test results history.\n\nYou can:\n- get a patient's COVID-19 test history, based on their NHS number with an optional specific date range\n\nYou cannot currently use this API to:\n- get details of other types of test\n\nYou get the following data:\n- COVID-19 test event details\n\nIf you are using this API in [user-restricted access mode](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#user-restricted-apis) the patient must have their identity verified to 'high' (P9) level. \n\n### Data availability, timing and quality\nAll test records are verified to ensure the NHS number is correct before making them available via the API.\n\nIn most cases this is automatic, and the record is available within 48 hours of the test event, sometimes sooner.\n    \nIn a very small number of cases, we are unable to verify the NHS number, and we do not make the test record available at all.\n\n## Who can use this API\nThis API:\n- is only for use by patient-facing applications\n- is only for non-clinical use\n- can only be used where there is a legal basis to do so\n\nMake sure you have a valid use case before you go too far with your development.\nTo do this, [contact us](https://digital.nhs.uk/developer/help-and-support).\n\nYou must do this before you can go live (see ‘Onboarding’ below).\n\n## API status and roadmap    \n\nThis API is [in production, beta](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#statuses).\n\nTo see our roadmap, or to suggest, comment or vote on features for this API, see our [interactive product backlog](https://nhs-digital-api-management.featureupvote.com/?order=popular&filter=allexceptdone&tag=covid-test-results-api#controls).\n\nIf you would like to be involved in our beta programme or have any other queries, [contact us](https://digital.nhs.uk/developer/help-and-support).\n\n## Service level\nThis API is a platinum service, meaning it is operational and supported 24 hours a day, 365 days a year.\n\nFor more details, see [service levels](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#service-levels).\n\n## Technology\nThis API is [RESTful](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#basic-rest).\n\nIt conforms to the [FHIR](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#fhir) global standard for health care data exchange, specifically to [FHIR R4 (v4.0.1)](https://hl7.org/fhir/r4/), except that it does not support the [capabilities](http://hl7.org/fhir/R4/http.html#capabilities) interaction.\n\nIt includes some country-specific FHIR extensions, which conform to [FHIR UK Core](https://digital.nhs.uk/services/fhir-uk-core), specifically [fhir.r4.ukcore.stu1 0.5.1](https://simplifier.net/packages/fhir.r4.ukcore.stu1/0.5.1).\n\nYou do not need to know much about FHIR to use this API - FHIR APIs are just RESTful APIs that follow specific rules.\nIn particular:\n- resource names are capitalised and singular, and use US spellings, for example `/Observation` not `/observation`\n- array names are singular, for example `entry` not `entries` for address lines\n- data items that are country-specific and thus not included in the FHIR global base resources are usually wrapped in an `extension` object\n\nThere are [libraries and SDKs available](https://digital.nhs.uk/developer/guides-and-documentation/api-technologies-at-nhs-digital#fhir-libraries-and-sdks) to help with FHIR API integration.\n\n## Network access\nThis API is available on the internet and, indirectly, on the [Health and Social Care Network (HSCN)](https://digital.nhs.uk/services/health-and-social-care-network).\n\nFor more details see [Network access for APIs](https://digital.nhs.uk/developer/guides-and-documentation/network-access-for-apis).\n\n## Security and authorisation\nThis API has two access modes: \n* application-restricted access\n* user-restricted access\n\n### Application-restricted access\nThis access mode is [application-restricted](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#application-restricted-apis), meaning we authenticate the calling application but not the end user.\n\nTo use this access mode, use the following security pattern:\n* [Application-restricted RESTful API - signed JWT authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-signed-jwt-authentication)\n\n### User-restricted access\nUse this [user-restricted access mode](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#user-restricted-apis) if the end user is a patient:\n* the end user must have their identity verified to 'high' (P9) level\n* the NHS number in the request must match the NHS number in the NHS login account\n\nTo use this access mode, use the following security pattern:\n* [User-restricted RESTful APIs - NHS login separate authentication and authorisation](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/user-restricted-restful-apis-nhs-login-separate-authentication-and-authorisation)\n\n\n## Environments and testing\n| Environment       | Base URL                                                               | Associated NHS login environment |\n| ----------------- | ---------------------------------------------------------------------- | -----------------------------    |\n| Sandbox           | `https://sandbox.api.service.nhs.uk/covid-19-test-result/FHIR/R4`      | None                             |\n| Development       | `https://dev.api.service.nhs.uk/covid-19-test-result/FHIR/R4`          | NHS login - Sandpit              |\n| Integration       | `https://int.api.service.nhs.uk/covid-19-test-result/FHIR/R4`          | NHS login - Integration (aos)    |\n| Production        | `https://api.service.nhs.uk/covid-19-test-result/FHIR/R4`              | NHS login - Live (production)    |\n\n### Sandbox testing\nOur [sandbox environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#sandbox-testing):\n* is for early developer testing\n* only covers a limited set of scenarios\n* is open access, so does not allow you to test authorisation\n\nFor details of sandbox test scenarios, or to try out the sandbox using our 'Try this API' feature, see the documentation for each endpoint.\n\nAlternatively, you can try out the sandbox using our Postman collection:\n\n[![Run in Postman](https://run.pstmn.io/button.svg)](https://app.getpostman.com/run-collection/98198e55d31dd66b9c76)\n\n### Development testing\nOur development  environment:\n* is for early development testing\n* includes authorisation using the NHS Sandpit\n\nAvailable test NHS patients:\n\n| NHS number        |\n| ----------------- |\n| 9686368973        |\n| 9686368906        |\n| 9658218873        |\n| 9658218881        |\n\n### Integration testing\nOur [integration test environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#integration-testing):\n* is for formal integration testing\n* includes authorisation\n     \nAvailable test NHS patients:\n\n| NHS number        | Data profile |\n| ----------------- | ------------ | \n| 9658477860        | profile 2    |\n| 9437573999        | profile 5    |\n| 9453634980        | profile 6    |\n\nFor more details see [integration testing with our RESTful APIs](https://digital.nhs.uk/developer/guides-and-documentation/testing#integration-testing-with-our-restful-apis).\n\n## Onboarding\nYou need to get your software approved by us before it can go live with this API. We call this onboarding. The onboarding process can sometimes be quite long, so it’s worth planning well ahead.\n\nFor further information on onboarding contact [api.management@nhs.net](mailto:api.management@nhs.net).\n\n## Errors\nWe use standard HTTP status codes to show whether an API request succeeded or not. They are usually in the range:\n\n* 200 to 299 if it succeeded, including code 202 if it was accepted by an API that needs to wait for further action\n* 400 to 499 if it failed because of a client error by your application\n* 500 to 599 if it failed because of an error on our server\n\nErrors specific to each API are shown in the Endpoints section, under Response. See our [reference guide](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#http-status-codes) for more on errors.    \n"},"servers":[{"url":"https://sandbox.api.service.nhs.uk/covid-19-test-result/FHIR/R4","description":"Sandbox environment"},{"url":"https://dev.api.service.nhs.uk/covid-19-test-result/FHIR/R4","description":"Development environment"},{"url":"https://int.api.service.nhs.uk/covid-19-test-result/FHIR/R4","description":"Integration environment"}],"paths":{"/Observation":{"get":{"summary":"Get COVID-19 test history","operationId":"get-covid-test-history","description":"Given an NHS number, get the patient's COVID-19 test history.\n\n## Sandbox testing\nYou can test the following scenarios in our sandbox environment:\n\n| Scenario                      | Request                                                              | Response                                   |\n| ----------------------------- | -------------------------------------------------------------------- | ------------------------------------------ |\n| COVID-19 test history found   | `patient.identifier`=`https://fhir.nhs.uk/Id/nhs-number\\|9000000009` | HTTP Status 200 with test results data in response body |\n| No test results found         | `patient.identifier`=`https://fhir.nhs.uk/Id/nhs-number\\|9000000033` | HTTP Status 200 with empty bundle in response body |\n| Bad Request                   | `patient.identifier`= anything else                                  | HTTP Status 400 Bad Request |\n\nYou can try out the sandbox using the 'Try this API' feature on this page.\n","parameters":[{"in":"header","name":"Authorization","description":"An OAuth 2.0 bearer token, obtained using our [signed JWT authentication pattern](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-signed-jwt-authentication).\n","required":true,"schema":{"type":"string","format":"^Bearer\\ [[:ascii:]]+$","example":"Bearer g1112R_ccQ1Ebbb4gtHBP1aaaNM"}},{"name":"NHSD-User-Identity","in":"header","description":"Open ID Connect ID token for the end user patient, as obtained from NHS login.\nMust be a signed JWT in the format `xxxxx.yyyyy.zzzzz`.\nMust be valid i.e. not expired.\nMust be for a user who has had their identity verified to 'high' (P9) level.\n","required":true,"schema":{"type":"string","example":"xxxxx.yyyyy.zzzzz"}},{"in":"header","name":"X-Correlation-ID","required":false,"description":"An optional ID which you can use to track transactions across multiple systems. It can take any value, but we recommend avoiding `.` characters.\n\nMirrored back in a response header.\n","schema":{"type":"string","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}},{"in":"query","name":"patient.identifier","description":"The patient's NHS number.\nExpressed as `<type>|<value>` where `<type>` must be `https://fhir.nhs.uk/Id/nhs-number` and `<value>` must be a [valid NHS number](https://www.datadictionary.nhs.uk/attributes/nhs_number.html).\n","required":true,"schema":{"type":"string","example":"https://fhir.nhs.uk/Id/nhs-number|9000000009"}},{"in":"query","name":"date","description":"The effective date range when the observation was recorded and can be used multiple times as a search parameter.","required":false,"schema":{"type":"string","example":"ge2010-01-01&date=le2011-12-31"}},{"in":"query","name":"code","description":"The SNOMED code related to the observation type. It supports a single value or comma separated values (for example 871555000,871553007) [List of available codes](https://simplifier.net/guide/NHSDigital/Home/FHIRAssets/AllAssets/ObservationDefinition?version=current)","required":false,"schema":{"type":"string","example":"871553007"}},{"in":"query","name":"_include","description":"Adds Patient resource to the search response.","required":false,"schema":{"type":"string","example":"Observation:patient"}}],"responses":{"200":{"description":"Valid request that returns test results history found that match the search criteria (which may be 0).","headers":{"X-Correlation-Id":{"schema":{"type":"string","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"},"description":"The X-Correlation-ID from the request header, if supplied, mirrored back."}},"content":{"application/fhir+json":{"schema":{"description":"FHIR Bundle containing the query results - a list of matching COVID-19 test results and optionally associated patients.","type":"object","required":["resourceType","type","total","entry"],"properties":{"resourceType":{"description":"FHIR resource type. Always `Bundle`.","type":"string","example":"Bundle"},"type":{"description":"Indicates how the bundle is intended to be used. Always `searchset`.","type":"string","example":"searchset"},"total":{"description":"Number of matching COVID-19 test results found.","type":"integer","example":2},"entry":{"description":"List of matching COVID-19 test results and associated patients. If there were no matching tests, this is an empty list.","type":"array","items":{"type":"object","required":["fullUrl","resource","search"],"properties":{"fullUrl":{"description":"URI for the Observation or Patient resource.","type":"string","example":"urn:uuid:edea022a-2d81-11eb-adc1-0242ac120001"},"resource":{"description":"The Observation or Patient resource.","oneOf":[{"description":"Observation result related to the requested patient.","type":"object","required":["resourceType","identifier","birthDate"],"properties":{"resourceType":{"description":"FHIR resource type. Always `Observation`.","type":"string","example":"Observation"},"id":{"description":"FHIR resource id.","type":"string","example":"ASD32145123"},"status":{"description":"COVID-19 test status. Always `final`.","type":"string","example":"final"},"identifier":{"description":"Unique identifier for this COVID-19 test result record, as generated by the source system.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["system","value"],"properties":{"system":{"description":"URI of the namespace of this identifier. Always `https://fhir.nhs.uk/Id/SpecimenId`.","type":"string","example":"https://fhir.nhs.uk/Id/SpecimenId"},"value":{"description":"Identifier value within `system`.","type":"string","example":"ASD32145123"}}}},"subject":{"description":"The patient who took the COVID-19 test.","type":"object","required":["reference","identifier"],"properties":{"reference":{"description":"URI for the associated Patient resource in the bundle.","type":"string","example":"Patient/9000000009"},"type":{"description":"Type of resource this reference refers to. Always `Patient`.","type":"string","example":"Patient"},"identifier":{"description":"Business identifier for linked Patient. Always an NHS number.","type":"object","required":["system","value"],"properties":{"system":{"description":"URI of coding system used to identify linked patient.","type":"string","example":"https://fhir.nhs.uk/Id/nhs-number"},"value":{"description":"Value in coding system representing linked patient.","type":"string","example":"9000000009"}}}}},"category":{"description":"The category of test result. Indicates Pillar of the data only","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["coding"],"properties":{"system":{"description":"Coding system used to indicate Pillar1 data","type":"string","example":"https://fhir.nhs.uk/CodeSystem/covid-test-pillar"},"code":{"description":"Code indicating Pillar1 data.","type":"string","example":"pillar-1","enum":["pillar-1","pillar-2","private"]},"display":{"description":"Description indicating Pillar1 data.","type":"string","example":"pillar 1","enum":["pillar 1","pillar 2","private"]}}}},"code":{"description":"The category of test result. Describes COVID-19 detection method.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the test result detection method.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["system","code","display"],"properties":{"system":{"description":"Coding system used to describe COVID-19 detection method. Always SNOMED.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the COVID-19 detection method.","type":"string","example":"871555000","enum":["871555000","871552002","871553007"]},"display":{"description":"Description of the COVID-19 detection method.","type":"string","example":"Detection of ribonucleic acid of Severe acute respiratory syndrome coronavirus 2"}}}}}},"effectiveDateTime":{"description":"Date and time of the COVID-19 test.","type":"string","example":"2021-04-20T00:00:00+00:00"},"valueCodeableConcept":{"description":"The COVID-19 test result for the specimen analysed.","type":"object","required":["coding"],"properties":{"coding":{"description":"Wrapper for the test result.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["system","code","display"],"properties":{"system":{"description":"Coding system used to describe COVID-19 test result. Always SNOMED.","type":"string","example":"http://snomed.info/sct"},"code":{"description":"Code for the COVID-19 test result.","type":"string","example":"1322791000000100"},"display":{"description":"Description of the COVID-19 test result.","type":"string","example":"SARS-CoV-2 (severe acute respiratory syndrome coronavirus 2) antigen detection result negative"}}}}}},"device":{"description":"The type of test kit used to take the COVID-19 test.","type":"object","required":["identifier","display"],"properties":{"identifier":{"description":"Test kit identifier.","type":"object","required":["system","value"],"properties":{"system":{"description":"Coding system used for the test kit identifier. Always `https://fhir.nhs.uk/Id/Covid19-TestKit`.","type":"string","example":"https://fhir.nhs.uk/Id/Covid19-TestKit"},"value":{"description":"Test kit code.","type":"string","enum":["blank (i.e. empty)","lampore","rnalamp","directrtlamp","lft","ePCR","rtPCR","elisa"],"example":"lampore"}}},"display":{"description":"Decsription of the test kit.","type":"string","example":"Lateral Flow Test"}}},"performer":{"description":"Information where the test was taken (Test Centre) and where it was analysed (e.g. a laboratory).","type":"array","minItems":1,"maxItems":2,"items":{"oneOf":[{"type":"object","description":"Laboratory code","required":["type","identifier"],"properties":{"type":{"description":"Always `Organization`.","type":"string","example":"Organization"},"identifier":{"type":"object","required":["type","value"],"properties":{"type":{"type":"object","required":["coding"],"properties":{"coding":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["system","code","display"],"properties":{"system":{"description":"Coding system used to describe laboratory type. Always `https://fhir.nhs.uk/CodeSystem/organisation-role`.","type":"string","example":"https://fhir.nhs.uk/CodeSystem/organisation-role"},"code":{"description":"Code for the laboratory type within system. Always `173`.","type":"string","example":"173"},"display":{"description":"Always `PATHOLOGY LAB`.","type":"string","example":"PATHOLOGY LAB"}}}}}},"value":{"description":"Unique identifier of the pathology lab.","type":"string","example":"MK"}}}}},{"type":"object","description":"Test Centre identifier.","required":["type","identifier"],"properties":{"type":{"description":"Always `Organization`.","type":"string","example":"Organization"},"identifier":{"type":"object","required":["type","value"],"properties":{"type":{"type":"object","required":["text"],"properties":{"text":{"description":"Always `Testing Centre`","type":"string","example":"Testing Centre"}}},"value":{"description":"Unique identifier of the Testing Centre.","type":"string","example":"BBC"}}}}}]}},"extension":{"description":"COVID-19 test results extensions to cover elements not defined in standard FHIR.","type":"array","minItems":1,"maxItems":1,"items":{"type":"object","required":["url","extension"],"properties":{"url":{"description":"URI for the type of extension. Always `https://fhir.nhs.uk/StructureDefinition/Extension-COVID19-TestResult`.","type":"string","example":"https://fhir.nhs.uk/StructureDefinition/Extension-COVID19-TestResult"},"extension":{"type":"array","minItems":1,"maxItems":2,"items":{"oneOf":[{"type":"object","description":"Source of record creation.","required":["url","valueCodeableConcept"],"properties":{"url":{"description":"Always `reportOrigin`","type":"string"},"valueCodeableConcept":{"type":"object","required":["text"],"properties":{"text":{"description":"Unique indentifier of the source.","type":"string","enum":["admin","bulk","electiveCare","home","lite","liteSelf","user","assistedExistingBarcode"],"example":"electiveCare"}}}}},{"type":"object","description":"Used to convey how the test was administered.","required":["url","valueCodeableConcept"],"properties":{"url":{"description":"Always `administrationMethod`.","type":"string"},"valueCodeableConcept":{"type":"object","required":["text"],"properties":{"text":{"description":"Unique indentifier of the admin method.","type":"string","enum":["self","health_care_professional"],"example":"health_care_professional"}}}}}]}}}}}}},{"description":"Demographic information about the patient whose tests are retrieved.","type":"object","required":["resourceType","identifier","birthDate"],"properties":{"resourceType":{"description":"FHIR resource type. Always `Patient`.","type":"string","example":"Patient"},"identifier":{"description":"Unique identifier for this patient. Always an NHS number.","type":"array","minItems":1,"items":{"type":"object","required":["system","value"],"properties":{"system":{"description":"Coding system used to identify patients.","type":"string","example":"https://fhir.nhs.uk/Id/nhs-number"},"value":{"description":"Code identifying the patient.","type":"string","example":"9000000009"}}}},"birthDate":{"description":"Patient's date of birth.","type":"string","example":"1965-02-28"}}}]},"search":{"description":"Search-related information for the Observation or Patient resource.","type":"object","required":["mode"],"properties":{"mode":{"description":"Indicates why this resource is in the result set. For Observation resources this is always `match` and for Patient resources it is always `include`.","enum":["match","include"]}}}}}}}},"example":{"resourceType":"Bundle","type":"searchset","total":2,"entry":[{"fullUrl":"https://test-results-api.nhs.uk/FHIR/R4/Observation/ASD32145123","resource":{"resourceType":"Observation","id":"ASD32145123","status":"final","identifier":[{"system":"https://fhir.nhs.uk/Id/SpecimenId","value":"ASD32145123"}],"subject":{"reference":"Patient/9000000009","identifier":{"system":"https://fhir.nhs.uk/Id/nhs-number","value":"9000000009"}},"code":{"coding":[{"system":"http://snomed.info/sct","code":"871562009","display":"Detection of Severe acute respiratory syndrome coronavirus 2 (observable entity)"}]},"effectiveDateTime":"2021-04-20T00:00:00+00:00","valueCodeableConcept":{"coding":[{"system":"http://snomed.info/sct","code":"1322791000000100","display":"SARS-CoV-2 (severe acute respiratory syndrome coronavirus 2) antigen detection result negative"}]},"device":{"identifier":{"system":"https://fhir.nhs.uk/Id/Covid19-TestKit","value":"LFT"},"display":"Lateral Flow Test"},"performer":[{"type":"Organization","identifier":{"type":{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/organisation-role","code":"173","display":"PATHOLOGY LAB"}]},"value":"LFDSelfTest"}},{"type":"Organization","identifier":{"type":{"text":"Testing Centre"},"value":"BBC"}}],"extension":[{"url":"https://fhir.nhs.uk/StructureDefinition/Extension-COVID19-TestResult","extension":[{"url":"reportOrigin","valueCodeableConcept":{"text":"LEADER"}},{"url":"administrationMethod","valueCodeableConcept":{"text":"health_care_professional"}}]}]},"search":{"mode":"match"}},{"fullUrl":"https://test-results-api.nhs.uk/FHIR/R4/Observation/ASD3214444","resource":{"resourceType":"Observation","id":"ASD3214444","status":"final","identifier":[{"system":"https://fhir.nhs.uk/Id/SpecimenId","value":"ASD32145127"}],"subject":{"reference":"Patient/9000000009","identifier":{"system":"https://fhir.nhs.uk/Id/nhs-number","value":"9000000009"}},"category":{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/covid-test-pillar","code":"pillar-1","display":"pillar 1"}]},"code":{"coding":[{"system":"http://snomed.info/sct","code":"871562009","display":"Detection of Severe acute respiratory syndrome coronavirus 2 (observable entity)"}]},"effectiveDateTime":"2021-04-20T00:00:00+00:00","valueCodeableConcept":{"coding":[{"system":"http://snomed.info/sct","code":"1240581000000104","display":"SARS-CoV-2 (severe acute respiratory syndrome coronavirus 2) detection result positive"}]},"device":{"identifier":{"system":"https://fhir.nhs.uk/Id/Covid19-TestKit","value":"LFT"},"display":"Lateral Flow Test"},"performer":[{"type":"Organization","identifier":{"type":{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/organisation-role","code":"173","display":"PATHOLOGY LAB"}]},"value":"LFDSelfTest"}},{"type":"Organization","identifier":{"type":{"text":"Testing Centre"},"value":"BBC"}}],"extension":[{"url":"https://fhir.nhs.uk/StructureDefinition/Extension-COVID19-TestResult","extension":[{"url":"reportOrigin","valueCodeableConcept":{"text":"LEADER"}},{"url":"administrationMethod","valueCodeableConcept":{"text":"health_care_professional"}}]}]},"search":{"mode":"match"}},{"fullUrl":"https://dev.api.service.nhs.uk/covid-19-test-result/FHIR/R4/Patient/9686368973","resource":{"resourceType":"Patient","id":"9686368973","identifier":[{"extension":[{"url":"https://fhir.hl7.org.uk/StructureDefinition/Extension-UKCore-NHSNumberVerificationStatus","valueCodeableConcept":{"coding":[{"system":"https://fhir.hl7.org.uk/CodeSystem/UKCore-NHSNumberVerificationStatus","code":"01","display":"Number present and verified"}]}}],"system":"https://fhir.nhs.uk/Id/nhs-number","value":"9686368973"}],"birthDate":"1997-12-28"},"search":{"mode":"include"}}]}}}},"400":{"description":"Missing or invalid query parameter(s)."},"401":{"description":"Missing or invalid ID/OAuth toke or NHS number in request doesn't match NHS number in ID token."},"404":{"description":"Invalid endpoint path."}}}}}}